ExtensionTypeImpl (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class ExtensionTypeImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.ExtensionTypeImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, Annotated, ExtensionType, OpenAttrs, SimpleValue, XmlObject, XmlTokenSource
  Direct Known Subclasses:
    SimpleExtensionTypeImpl

      public class ExtensionTypeImpl
      extends AnnotatedImpl
      implements ExtensionType

  An XML extensionType(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.ExtensionType

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionTypeImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `All` | `addNewAll()` Appends and returns a new empty "all" element
    `Wildcard` | `addNewAnyAttribute()` Appends and returns a new empty "anyAttribute" element
    `Attribute` | `addNewAttribute()` Appends and returns a new empty value (as xml) as the last "attribute" element
    `AttributeGroupRef` | `addNewAttributeGroup()` Appends and returns a new empty value (as xml) as the last "attributeGroup" element
    `ExplicitGroup` | `addNewChoice()` Appends and returns a new empty "choice" element
    `GroupRef` | `addNewGroup()` Appends and returns a new empty "group" element
    `ExplicitGroup` | `addNewSequence()` Appends and returns a new empty "sequence" element
    `All` | `getAll()` Gets the "all" element
    `Wildcard` | `getAnyAttribute()` Gets the "anyAttribute" element
    `Attribute[]` | `getAttributeArray()` Gets array of all "attribute" elements
    `Attribute` | `getAttributeArray(int i)` Gets ith "attribute" element
    `AttributeGroupRef[]` | `getAttributeGroupArray()` Gets array of all "attributeGroup" elements
    `AttributeGroupRef` | `getAttributeGroupArray(int i)` Gets ith "attributeGroup" element
    `List<AttributeGroupRef>` | `getAttributeGroupList()` Gets a List of "attributeGroup" elements
    `List<Attribute>` | `getAttributeList()` Gets a List of "attribute" elements
    `QName` | `getBase()` Gets the "base" attribute
    `ExplicitGroup` | `getChoice()` Gets the "choice" element
    `GroupRef` | `getGroup()` Gets the "group" element
    `ExplicitGroup` | `getSequence()` Gets the "sequence" element
    `Attribute` | `insertNewAttribute(int i)` Inserts and returns a new empty value (as xml) as the ith "attribute" element
    `AttributeGroupRef` | `insertNewAttributeGroup(int i)` Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
    `boolean` | `isSetAll()` True if has "all" element
    `boolean` | `isSetAnyAttribute()` True if has "anyAttribute" element
    `boolean` | `isSetChoice()` True if has "choice" element
    `boolean` | `isSetGroup()` True if has "group" element
    `boolean` | `isSetSequence()` True if has "sequence" element
    `void` | `removeAttribute(int i)` Removes the ith "attribute" element
    `void` | `removeAttributeGroup(int i)` Removes the ith "attributeGroup" element
    `void` | `setAll(All all)` Sets the "all" element
    `void` | `setAnyAttribute(Wildcard anyAttribute)` Sets the "anyAttribute" element
    `void` | `setAttributeArray(Attribute[] attributeArray)` Sets array of all "attribute" element WARNING: This method is not atomicaly synchronized.
    `void` | `setAttributeArray(int i, Attribute attribute)` Sets ith "attribute" element
    `void` | `setAttributeGroupArray(AttributeGroupRef[] attributeGroupArray)` Sets array of all "attributeGroup" element WARNING: This method is not atomicaly synchronized.
    `void` | `setAttributeGroupArray(int i, AttributeGroupRef attributeGroup)` Sets ith "attributeGroup" element
    `void` | `setBase(QName base)` Sets the "base" attribute
    `void` | `setChoice(ExplicitGroup choice)` Sets the "choice" element
    `void` | `setGroup(GroupRef group)` Sets the "group" element
    `void` | `setSequence(ExplicitGroup sequence)` Sets the "sequence" element
    `int` | `sizeOfAttributeArray()` Returns number of "attribute" element
    `int` | `sizeOfAttributeGroupArray()` Returns number of "attributeGroup" element
    `void` | `unsetAll()` Unsets the "all" element
    `void` | `unsetAnyAttribute()` Unsets the "anyAttribute" element
    `void` | `unsetChoice()` Unsets the "choice" element
    `void` | `unsetGroup()` Unsets the "group" element
    `void` | `unsetSequence()` Unsets the "sequence" element
    `XmlQName` | `xgetBase()` Gets (as xml) the "base" attribute
    `void` | `xsetBase(XmlQName base)` Sets (as xml) the "base" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### ExtensionTypeImpl

          public ExtensionTypeImpl(SchemaType sType)

  - ### Method Detail

    - #### getGroup

          public GroupRef getGroup()

      Gets the "group" element
      Specified by:
        `getGroup` in interface `ExtensionType`

    - #### isSetGroup

          public boolean isSetGroup()

      True if has "group" element
      Specified by:
        `isSetGroup` in interface `ExtensionType`

    - #### setGroup

          public void setGroup(GroupRef group)

      Sets the "group" element
      Specified by:
        `setGroup` in interface `ExtensionType`

    - #### addNewGroup

          public GroupRef addNewGroup()

      Appends and returns a new empty "group" element
      Specified by:
        `addNewGroup` in interface `ExtensionType`

    - #### unsetGroup

          public void unsetGroup()

      Unsets the "group" element
      Specified by:
        `unsetGroup` in interface `ExtensionType`

    - #### getAll

          public All getAll()

      Gets the "all" element
      Specified by:
        `getAll` in interface `ExtensionType`

    - #### isSetAll

          public boolean isSetAll()

      True if has "all" element
      Specified by:
        `isSetAll` in interface `ExtensionType`

    - #### setAll

          public void setAll(All all)

      Sets the "all" element
      Specified by:
        `setAll` in interface `ExtensionType`

    - #### addNewAll

          public All addNewAll()

      Appends and returns a new empty "all" element
      Specified by:
        `addNewAll` in interface `ExtensionType`

    - #### unsetAll

          public void unsetAll()

      Unsets the "all" element
      Specified by:
        `unsetAll` in interface `ExtensionType`

    - #### getChoice

          public ExplicitGroup getChoice()

      Gets the "choice" element
      Specified by:
        `getChoice` in interface `ExtensionType`

    - #### isSetChoice

          public boolean isSetChoice()

      True if has "choice" element
      Specified by:
        `isSetChoice` in interface `ExtensionType`

    - #### setChoice

          public void setChoice(ExplicitGroup choice)

      Sets the "choice" element
      Specified by:
        `setChoice` in interface `ExtensionType`

    - #### addNewChoice

          public ExplicitGroup addNewChoice()

      Appends and returns a new empty "choice" element
      Specified by:
        `addNewChoice` in interface `ExtensionType`

    - #### unsetChoice

          public void unsetChoice()

      Unsets the "choice" element
      Specified by:
        `unsetChoice` in interface `ExtensionType`

    - #### getSequence

          public ExplicitGroup getSequence()

      Gets the "sequence" element
      Specified by:
        `getSequence` in interface `ExtensionType`

    - #### isSetSequence

          public boolean isSetSequence()

      True if has "sequence" element
      Specified by:
        `isSetSequence` in interface `ExtensionType`

    - #### setSequence

          public void setSequence(ExplicitGroup sequence)

      Sets the "sequence" element
      Specified by:
        `setSequence` in interface `ExtensionType`

    - #### addNewSequence

          public ExplicitGroup addNewSequence()

      Appends and returns a new empty "sequence" element
      Specified by:
        `addNewSequence` in interface `ExtensionType`

    - #### unsetSequence

          public void unsetSequence()

      Unsets the "sequence" element
      Specified by:
        `unsetSequence` in interface `ExtensionType`

    - #### getAttributeList

          public List<Attribute> getAttributeList()

      Gets a List of "attribute" elements
      Specified by:
        `getAttributeList` in interface `ExtensionType`

    - #### getAttributeArray

          public Attribute[] getAttributeArray()

      Gets array of all "attribute" elements
      Specified by:
        `getAttributeArray` in interface `ExtensionType`

    - #### getAttributeArray

          public Attribute getAttributeArray(int i)

      Gets ith "attribute" element
      Specified by:
        `getAttributeArray` in interface `ExtensionType`

    - #### sizeOfAttributeArray

          public int sizeOfAttributeArray()

      Returns number of "attribute" element
      Specified by:
        `sizeOfAttributeArray` in interface `ExtensionType`

    - #### setAttributeArray

          public void setAttributeArray(Attribute[] attributeArray)

      Sets array of all "attribute" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAttributeArray` in interface `ExtensionType`

    - #### setAttributeArray

          public void setAttributeArray(int i,
                                        Attribute attribute)

      Sets ith "attribute" element
      Specified by:
        `setAttributeArray` in interface `ExtensionType`

    - #### insertNewAttribute

          public Attribute insertNewAttribute(int i)

      Inserts and returns a new empty value (as xml) as the ith "attribute" element
      Specified by:
        `insertNewAttribute` in interface `ExtensionType`

    - #### addNewAttribute

          public Attribute addNewAttribute()

      Appends and returns a new empty value (as xml) as the last "attribute" element
      Specified by:
        `addNewAttribute` in interface `ExtensionType`

    - #### removeAttribute

          public void removeAttribute(int i)

      Removes the ith "attribute" element
      Specified by:
        `removeAttribute` in interface `ExtensionType`

    - #### getAttributeGroupList

          public List<AttributeGroupRef> getAttributeGroupList()

      Gets a List of "attributeGroup" elements
      Specified by:
        `getAttributeGroupList` in interface `ExtensionType`

    - #### getAttributeGroupArray

          public AttributeGroupRef[] getAttributeGroupArray()

      Gets array of all "attributeGroup" elements
      Specified by:
        `getAttributeGroupArray` in interface `ExtensionType`

    - #### getAttributeGroupArray

          public AttributeGroupRef getAttributeGroupArray(int i)

      Gets ith "attributeGroup" element
      Specified by:
        `getAttributeGroupArray` in interface `ExtensionType`

    - #### sizeOfAttributeGroupArray

          public int sizeOfAttributeGroupArray()

      Returns number of "attributeGroup" element
      Specified by:
        `sizeOfAttributeGroupArray` in interface `ExtensionType`

    - #### setAttributeGroupArray

          public void setAttributeGroupArray(AttributeGroupRef[] attributeGroupArray)

      Sets array of all "attributeGroup" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAttributeGroupArray` in interface `ExtensionType`

    - #### setAttributeGroupArray

          public void setAttributeGroupArray(int i,
                                             AttributeGroupRef attributeGroup)

      Sets ith "attributeGroup" element
      Specified by:
        `setAttributeGroupArray` in interface `ExtensionType`

    - #### insertNewAttributeGroup

          public AttributeGroupRef insertNewAttributeGroup(int i)

      Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
      Specified by:
        `insertNewAttributeGroup` in interface `ExtensionType`

    - #### addNewAttributeGroup

          public AttributeGroupRef addNewAttributeGroup()

      Appends and returns a new empty value (as xml) as the last "attributeGroup" element
      Specified by:
        `addNewAttributeGroup` in interface `ExtensionType`

    - #### removeAttributeGroup

          public void removeAttributeGroup(int i)

      Removes the ith "attributeGroup" element
      Specified by:
        `removeAttributeGroup` in interface `ExtensionType`

    - #### getAnyAttribute

          public Wildcard getAnyAttribute()

      Gets the "anyAttribute" element
      Specified by:
        `getAnyAttribute` in interface `ExtensionType`

    - #### isSetAnyAttribute

          public boolean isSetAnyAttribute()

      True if has "anyAttribute" element
      Specified by:
        `isSetAnyAttribute` in interface `ExtensionType`

    - #### setAnyAttribute

          public void setAnyAttribute(Wildcard anyAttribute)

      Sets the "anyAttribute" element
      Specified by:
        `setAnyAttribute` in interface `ExtensionType`

    - #### addNewAnyAttribute

          public Wildcard addNewAnyAttribute()

      Appends and returns a new empty "anyAttribute" element
      Specified by:
        `addNewAnyAttribute` in interface `ExtensionType`

    - #### unsetAnyAttribute

          public void unsetAnyAttribute()

      Unsets the "anyAttribute" element
      Specified by:
        `unsetAnyAttribute` in interface `ExtensionType`

    - #### getBase

          public QName getBase()

      Gets the "base" attribute
      Specified by:
        `getBase` in interface `ExtensionType`

    - #### xgetBase

          public XmlQName xgetBase()

      Gets (as xml) the "base" attribute
      Specified by:
        `xgetBase` in interface `ExtensionType`

    - #### setBase

          public void setBase(QName base)

      Sets the "base" attribute
      Specified by:
        `setBase` in interface `ExtensionType`

    - #### xsetBase

          public void xsetBase(XmlQName base)

      Sets (as xml) the "base" attribute
      Specified by:
        `xsetBase` in interface `ExtensionType`